コンテンツにスキップ

従業員賃金設定登録

POST
/staffs/{staff_id}/wage_apply
curl --request POST \
--url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/staffs/1/wage_apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "division": 0, "effectiveDate": "2025-01-01", "settings": [ { "storeId": "1", "businessHourId": "0", "wage": 1200, "holidayWage": 1300 }, { "storeId": "2", "businessHourId": "0", "wage": 1250, "holidayWage": 1350 } ] }'

従業員の賃金設定を登録します。

対象

  • プラン
    • スタンダード
    • プレミアム
    • プレミアムプラス
    • エンタープライズ

対象ユーザー権限

  • 従業員管理編集(全て)
staff_id
required
string

従業員ID

Example
1
Media typeapplication/json
One of:
時給の事業所別一括登録
object
division
required

給与形態区分

  • 0: 時給
integer
Allowed values: 0
effectiveDate
required

適用開始時期 [YYYY-MM-DD] 1970-01-01以降を指定してください

string format: date
settings
required

事業所別設定

Array<object>
>= 1 items <= 100 items
object
storeId
required

事業所ID

string
businessHourId

営業時間帯ID(省略した場合、または null を指定した場合は、「すべての営業時間帯」として扱います)

string
nullable
wage
required

賃金

integer
holidayWage

休日賃金

integer
nullable
Example
{
"division": 0,
"effectiveDate": "2025-01-01",
"settings": [
{
"storeId": "1",
"businessHourId": "0",
"wage": 1200,
"holidayWage": 1300
},
{
"storeId": "2",
"businessHourId": "0",
"wage": 1250,
"holidayWage": 1350
}
]
}

登録成功

Media typeapplication/json
object
staffId

従業員ID

string
wageApplyIds

作成した賃金設定ID一覧(入力順)

Array<string>
>= 1 items <= 100 items
Example
{
"staffId": "1",
"wageApplyIds": [
"10",
"11"
]
}
  • リクエスト形式が不正な場合
  • 1970-01-01 より前の適用開始時期を指定した場合
  • 日給・月給で月初日以外の適用開始時期を指定した場合
  • 一意性制約・整合性制約に違反する場合
Media typeapplication/json
object
type

エラータイプを識別するURI、もしくはabout:blank

string
title

エラーの概要

string
detail

エラーの詳細

string
Examples

1970-01-01 より前の適用開始時期

{
"type": "about:blank",
"title": "Bad Request",
"detail": "effectiveDate は 1970-01-01 以降の日付を指定してください。"
}

指定した従業員IDのデータが存在しない場合

Media typeapplication/json
object
type

エラータイプを識別するURI、もしくはabout:blank

string
title

エラーの概要

string
detail

エラーの詳細

string
Example
{
"type": "about:blank",
"title": "Not Found",
"detail": "データが確認できませんでした。従業員ID: 999"
}